package types

// IStore -- хранилище данных бот
type IStore interface {
	// Get -- читает запись по ключу
	Get(key string) (string, error)
	// Put -- пишет запись в хранилище
	Put(key string, val string) error
	// Find -- ищет записи по префиксу
	Find(prefix string) (map[string]string, error)
	// Del -- удаляет запись по ключу
}
